<?php

class TransactionHelper {

    private static $__trans_key = null;

    public static function beginTransaction() {
        if (Yii::app()->db->currentTransaction == null) {
            Yii::app()->db->beginTransaction();
            self::$__trans_key = time();
            return self::$__trans_key;
        }
    }

    public static function commit($trans_key) {
        if ($trans_key == self::$__trans_key && Yii::app()->db->currentTransaction != null) {
            Yii::app()->db->currentTransaction->commit();
            self::$__trans_key = null;
        }
    }

    public static function rollback($trans_key) {
        if ($trans_key == self::$__trans_key && Yii::app()->db->currentTransaction != null) {
            Yii::app()->db->currentTransaction->rollback();
            self::$__trans_key = null;
        }
    }

}
